Bug 509171 - Review Request: perl-String-RewritePrefix - Rewrite strings based on a set of known prefixes
Review Request: perl-String-RewritePrefix - Rewrite strings based on a set of...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/String-Re...
:
Depends On:
Blocks: 504538
  Show dependency treegraph
 
Reported: 2009-07-01 12:16 EDT by Chris Weyl
Modified: 2010-08-25 13:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 02:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-07-01 12:16:52 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-String-RewritePrefix.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-String-RewritePrefix-0.004-1.fc11.src.rpm

Description:
Rewrite strings based on a set of known prefixes.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1447402

Additional Comment:

This is a new requirement of the latest GA Catalyst::Runtime.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-07-01 23:27:58 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1447402
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
52d9801484932a77ff06a8f3b2f10e7292ca12ca  String-RewritePrefix-0.004.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=2,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.02 cusr  0.00 csys =  0.05 CPU)
+ Package perl-String-RewritePrefix-0.004-1.fc12.noarch =>
Provides: perl(String::RewritePrefix) = 0.004
Requires: perl(Carp) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-07-01 23:44:58 EDT
New Package CVS Request
=======================
Package Name: perl-String-RewritePrefix
Short Description: Rewrite strings based on a set of known prefixes
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-07-02 01:07:07 EDT
cvs done.
Comment 4 Chris Weyl 2009-07-02 02:28:35 EDT
Thanks for the review! :-)
Comment 5 Iain Arnell 2010-08-25 01:50:05 EDT
Package Change Request
======================
Package Name: perl-String-RewritePrefix
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2010-08-25 13:28:45 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.